﻿

body {
    overflow-x: hidden;
}

.h5_pc{
    display: block;
}
.h5_mo{
    display: none;
}
@media (max-width:580px) {
.h5_pc{
    display: none;
}
.h5_mo{
    display: block;
}
}
/*스킬소개div*/

.skill_flex_box{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap:15px;
    margin-top: 40px;
    width: 1400px;
    margin: 40px auto 0;
}

.skill_mini {
    width: 13%;
    height: auto;
    background: #ffffff;
    border-radius: 25px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    padding: 25px;
    min-height:160px;
    box-shadow: 0 0 4px 4px rgb(231 240 251);
}
.skill_mini img{
    margin-bottom:8px;
}
.skill_mini h3{
    font-size:1rem;
    margin-bottom:8px;
}

.skill_mini p{
    font-size: .8rem;
    color: #A5A5A5;
    font-weight: bold;
    white-space: nowrap;
    line-height: 1.3rem;
}

.serv_tag {
    display:flex;
    justify-content:center;
    width:505px;
    margin:20px auto 100px;
    gap:10px;
    
}

.serv_tag li{
    padding:5px 10px;
    color:#ffffff;
    border-radius:50px;
    font-size:.9rem;
}

/*텍스트 움직이는 애니메이션 시작*/
.scroller {
    max-width: 700px;
    margin: 0 auto;
    height: 45px;
}

.scroller__inner {
    display: flex;
    flex-wrap: wrap;
    gap: .5rem;
}

.scroller[data-animated="true"] {
  overflow: hidden;
  -webkit-mask: linear-gradient(
    90deg,
    transparent,
    white 20%,
    white 80%,
    transparent
  );
  mask: linear-gradient(90deg, transparent, white 20%, white 80%, transparent);
}

.scroller[data-animated="true"] .scroller__inner {
  width: max-content;
  flex-wrap: nowrap;
  animation: scroll var(--_animation-duration, 40s)
    var(--_animation-direction, forwards) linear infinite;
}

.scroller[data-direction="right"] {
  --_animation-direction: reverse;
}

.scroller[data-direction="left"] {
  --_animation-direction: forwards;
}

.scroller[data-speed="fast"] {
  --_animation-duration: 50s;
}

/*.scroller[data-speed="slow"] {
  --_animation-duration: 60s;
}*/

@keyframes scroll {
  to {
    transform: translate(calc(-50% - 0.5rem));
  }
}

/* general styles */

:root {
  --clr-neutral-100: hsl(0, 0%, 100%);
  --clr-primary-100: hsl(205, 15%, 58%);
  --clr-primary-400: hsl(215, 25%, 27%);
  --clr-primary-800: hsl(217, 33%, 17%);
  --clr-primary-900: hsl(218, 33%, 9%);
}



.tag-list {
  margin: 0;
  padding-inline: 0;
  list-style: none;
}

.tag-list li {
    padding: .3rem 1rem;
    font-size: .9rem;

    border-radius: 50px;
    
    color: #ffffff;
}

.tag_1{
    background:#247CF4;border: 1px solid #ffffff;
}

.tag_2{
    background:#899DFF;
}

.tag_3{
    background:#24B6F4;
}

.tag_4{
    background:#04CFDC;
}

.tag_5{
    background:#86E240;
}

.tag_6{
    background:#BCFF89;
}


/*텍스트 움직이는 애니메이션 끝*/

.sol_main_img_flex{
    width: calc(100% - 20px);
    height: calc(100% - 137px);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 10px;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.sol_main_img_flex>div{
    display: flex;
    flex-direction: column;
    width: calc(42% - 14px);
    height:100%;
    gap: 25px;
    padding: 0 10px;
    /*overflow:hidden;*/
}



.sol_main_img_flex>div:first-child{
    align-items: end;
    justify-content: flex-start;
}

.sol_main_img_flex>div:last-child{
    align-items: start;
    justify-content: flex-start;
}


.sol_main_img_flex img{
    width:90%;    mask: linear-gradient(to bottom, white, white 70%, white 30%, transparent);
}

/*.sol_main_img1{
    grid-area:a;
}

.sol_main_img2{
    grid-area:b;
}

.sol_main_img3{
    grid-area:c;
}

.sol_main_img4{
    grid-area:d;
}*/

.wrap {
    width: 100%;
    margin: auto;
    padding-bottom: 100px;
    margin-top: 120px;
}

section {
    width: 1200px;
    margin: auto;
    height: auto;
}


/*공통 들어가는부분*/
.template_common {
    margin-top: 0;
    width: 100%;
}

.template_common .common_area {
    text-align: center;
    width: 1200px;
    margin: auto;
    margin-bottom: 150px;
}

.common_area.light_blue {
    background: #EFF6FF;
    width: 100%;
    padding: 100px 0;
}

.common_area > p {
    font-size: 1rem;
    color: #247CF4;
    font-weight: bold;
    margin-bottom: 20px;
}

.common_area > h3 {
    font-size: 1.875rem;
    color: #000000;
    font-weight: bold;
}

    .common_area > h3 span {
        background: #247CF4;
        border-radius: 10px;
        padding: 5px 10px;
        color: #ffffff;
    }

.common_area > h5 {
    font-size: 1rem;
    color: #656565;
    font-weight: 500;
    margin-top: 15px;
    line-height: 25px;
}

.area_gray > p {
    font-size:  1rem;
    color: #247CF4;
    font-weight: bold;
    margin-bottom: 20px;
}

.area_gray > h3 {
    font-size: 1.875rem;
    color: #000000;
    font-weight: bold;
}

.area_gray > h5 {
    font-size: 1.875rem;
    color: #656565;
    font-weight: 500;
    margin-top: 15px;
    line-height: 25px;
}


.common_service {
    /*display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;*/
    width: 80%;
    height:590px;
    margin: auto;
    margin-top: 50px;
    background:#247CF4;
    overflow: hidden;
    border-radius:25px;
}


.common_service.top_main{
    padding-top:35px;
}



.common_imgbox {
    margin-top: 50px;
}

    .common_imgbox img {
        border-radius: 30px;
        width: 1000px;
    }

.common_frontier {
    width: 880px;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 50px;
    gap: 50px;
    margin-bottom: 130px;
}

.common_frontier.reverse{
     flex-direction: row-reverse;
}

.common_frontier>div{
    text-align:start;
    width:50%;
}

.common_frontier>div h4{
    color:#247CF4;
    margin-bottom:10px;
}

.common_frontier>div h3{
    font-size:1.5rem;
    margin-bottom:20px;
    font-weight:800;
}

.common_frontier > img {
    width: 400px;
}

    .common_frontier ul li {
    text-align: start;
    font-weight: 700;
    color: #909090;
    margin-bottom: 10px;
    position: relative;
}



.common_process {
    width: 600px;
    margin: auto;
    margin-top: 50px;
}




@media(max-width:1400px) {
    .skill_flex_box {
        width: 100%;
    }
        .skill_mini {
        width: 30%;
    }
}


@media(max-width:1200px) {

    .template_common .common_area {
        width: 100%;
    }

    .common_service {
        width: 90%;
    }

    .common_area.gray {
        width: 100%;
    }

    .common_frontier {
        width: 100%;
    }


    .wrap {
        margin-top: 100px;
    }

}

@media(max-width:1000px) {

    .common_frontier {
        width: 100%;
        flex-direction: column;
    }

        .common_frontier ul {
            width: 545px;
            display: flex;
            flex-wrap: wrap;
        }

            .common_frontier ul li {
                margin-right: 50px;
            }

    .template_sell {
        flex-direction: column;
    }
    .common_table h3 {
        width: calc(100% - 30px);
    }
    .common_table table {
        width: calc(100% - 30px);
    }

}

@media(max-width:768px) {
    .common_service.top_main {
    padding-top: 0;
    margin-top: 25px;
}
    html {
        font-size: 14px;
    }

    .skill_flex_box {
        width: 100%;
    }

    .common_frontier > div {
        text-align: center;
        width: 100%;
    }

    .common_frontier {
        flex-direction: column;
            gap: 30px;
    }

        .common_frontier.reverse {
            flex-direction: column;
        }

    .skill_mini {
        width: 40%;
    }

    .common_process {
        width: 100%;
    }

    .template_common .common_area {
        margin-bottom: 88px;
    }

    .area_gray {
        width: 90%;
        margin: auto;
    }

    .common_frontier ul li {
        margin-right: 0;
        text-align: center;
    }

    .common_frontier ul {
        width: 100%;
        justify-content: center;
        column-gap: 1rem;
    }

    .common_service {
        background: #ffffff;
        margin-top: 0;
        height: auto;
    }

    .sol_main_img_flex img {
        width: 100%;
        box-shadow: 0 0 4px 4px rgb(240 240 240 / 50%);
        border-radius: 23px;
        margin-bottom: 10px;
    }

    .sol_main_img_flex {
        flex-wrap: nowrap;
    }

        .sol_main_img_flex > div {
            width: 90% !important;
            margin: auto;
            justify-content: unset;
            align-items: center;
            overflow: initial;
        }

            .sol_main_img_flex > div:first-child {
                justify-content: unset;
                align-items: center;
            }

            .sol_main_img_flex > div:last-child {
                justify-content: unset;
                align-items: center;
            }

    .skill_mini p {
    font-size: 1rem;
    line-height: 1.8rem;
    }
}


@media(max-width:580px) {

    .serv_tag{
        width:100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    .scroller {
    height: 37px;
}
        html{
        font-size:13px;
    }
        .skill_mini {
        width: 78%;
    }
    .wrap {
        margin-top: 90px;
    }

    .template_common {
        margin-top: 50px;
    }

    .common_area > p {
        margin-bottom: 8px;
    }

    .common_area > h5 {
        padding: 0 10px;
        line-height: 21px;
    }

    .common_area > h3 span {
        padding: 3px 4px;
    }

    .area_gray > p {

        margin-bottom: 8px;
    }

    
    .common_frontier ul {
        display: block;
    }


}

@media (max-width:360px) {
    .common_frontier > div h3 {
        font-size: 1.4rem;
    }

    .solution_footer h3 {
        font-size: 17px;
    }
}